unit AppModule;

interface

uses
  Forms, SysUtils, Classes, AboutDlg, JvComponent, JvBalloonHint, JvApplication,
  JvTrayIcon, AppEvnts, JvBaseDlg, JvJVCLAbout, ehshelprouter, ehsbase,
  ehswhatsthis;

type
  TDataModuleApplication = class(TDataModule)
    BalloonHint: TJvBalloonHint;
    AboutDlg: TAboutDlg;
    Application: TJvApplication;
    SearchTrayIcon: TJvTrayIcon;
    AppEvent: TApplicationEvents;
    JVCLAbout: TJvJVCLAboutComponent;
    HelpRouter: THelpRouter;
    WhatsThis: TWhatsThis;
    procedure AppEventException(Sender: TObject; E: Exception);
    procedure DataModuleCreate(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  DataModuleApplication: TDataModuleApplication;

implementation

uses SearchForm, LogManager;

{$R *.dfm}

procedure TDataModuleApplication.AppEventException(Sender: TObject;
  E: Exception);
begin
  FormSearch.OptionsMgr.LogManager.Add(E.Message, lpError);
end;

procedure TDataModuleApplication.DataModuleCreate(Sender: TObject);
begin
  HelpRouter.Helpfile := ChangeFileExt(Forms.Application.ExeName, '.chm');
end;

end.
