unit SplashForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ProgressCyl, ExtCtrls, jpeg;

type
  SmillyInt = 0..5;

  TFormSplash = class(TForm)
    ProgressBar: TProgressCyl;
    P1: TPanel;
    P2: TPanel;
    L1: TImage;
    LabelProgress: TLabel;
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
  private
    { Dclarations prives }
    FProgress: SmillyInt;
    procedure SetProgress(const Value: SmillyInt);
  public
    { Dclarations publiques }
    procedure Inc;
    property Progress: SmillyInt read FProgress write SetProgress;
  end;

var
  FormSplash: TFormSplash;

implementation

{$R *.dfm}

procedure TFormSplash.FormCreate(Sender: TObject);
begin
  Progress := 0;
{ DONE 1  -cGraphique : Modifier l'image de dmarrage de l'applciation }
end;

procedure TFormSplash.Inc;
begin
  Progress := Progress + 1;
  Sleep(1000 div High(FProgress))
end;

procedure TFormSplash.SetProgress(const Value: SmillyInt);
begin
  FProgress := Value;
  ProgressBar.Max := High(FProgress);
  ProgressBar.Progress := Value;
  Application.ProcessMessages;
end;

end.
